<div class="container">
  <% @lottery_topics.each do |lottery| %>
    <div class="col-sm-4 margin-bottom">
      <div class="thumbnail lottery_logo no_margin_bottom">

        <% if current_user.member? || current_user.agent? %>
          <%= link_to lotteries_path(lot: lottery.title) do %>
            <%= image_tag lottery.avatar.url, class: 'img-responsive'%>
          <% end %>
        <% end %>

        <% if current_user.admin? %>
          <%= link_to posts_path(lot: lottery.title) do %>
            <%= image_tag lottery.avatar.url, class: 'img-responsive'%>
          <% end %>
        <% end %>
      </div>
      <div class="thumbnail no_margin_bottom thumbnail_<%= lottery.id %> <%= lottery.open_round? ? 'background-green' : 'background-red'%>">
        <h4>
          <span class="open_round_<%= lottery.id %> label label-success <%= "hide" unless lottery.open_round? %>">เปิด</span>
          <% if lottery.open_round? %>
            <span class="countdown_<%= lottery.id %> pull-right"></span>
          <% end %>
          <span class="close_round_<%= lottery.id %> label label-danger <%= "hide" if lottery.open_round? %>">ปิด</span>
        </h4>
      </div>

    </div>
    <script type="text/javascript">
      $('.countdown_<%= lottery.id %>').countdown({
        until: new Date('<%= lottery.end_time %>'.replace(/-/g, "/")), 
        onExpiry: liftOff, 
        layout: '{hn}:{mn}:{sn}'
      });

      function liftOff() {
        $('.close_round_<%= lottery.id %>').removeClass('hide')
        $('.open_round_<%= lottery.id %>').addClass('hide')
        $('.thumbnail_<%= lottery.id %>').removeClass('background-green')
        $('.thumbnail_<%= lottery.id %>').addClass('background-red')
        $('.countdown_<%= lottery.id %>').addClass('hide')
        $('.s_countdown_<%= lottery.id %>').removeClass('hide')
      }

    </script>
  <% end %>
</div>
